Skip to main content
GET
https://app.useduckie.ai
/
api
/
v1
/
runs
List runs
curl --request GET \
  --url https://app.useduckie.ai/api/v1/runs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.useduckie.ai/api/v1/runs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.useduckie.ai/api/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "object": "run",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "status": "<string>",
      "source": "<string>",
      "duration_seconds": 123,
      "ticket": {
        "id": "<string>",
        "title": "<string>",
        "url": "<string>"
      },
      "agent": {
        "id": "<string>",
        "name": "<string>"
      },
      "category": {
        "id": "<string>",
        "name": "<string>"
      },
      "resolution": {
        "type": "<string>",
        "summary": "<string>"
      },
      "trigger": {
        "event_type": "<string>",
        "source": "<string>",
        "timestamp": "<string>",
        "ticket_status": "<string>",
        "ticket_priority": "<string>",
        "ticket_tags": [
          "<string>"
        ],
        "trigger_message_type": "<string>",
        "internal_notes_only": true,
        "is_messaging_ticket": true,
        "customer_name": "<string>"
      },
      "approval": {
        "waiting_for_approval": true,
        "pending": {
          "step_id": "<string>",
          "tool_id": "<string>",
          "tool_name": "<string>",
          "tool_type": "<string>",
          "params": "<unknown>",
          "redacted": true,
          "truncated": true
        }
      },
      "scheduled_resume_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "next_cursor": "<string>",
    "has_more": true
  }
}
{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}
{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}
{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}
{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}
{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}

Authorizations

Authorization
string
header
required

API key created in Duckie Settings -> API Access.

Query Parameters

limit
integer
default:50

Maximum number of runs to return. Defaults to 50 and is capped at 100.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor from the previous page's pagination.next_cursor value.

created_after
string<date-time>

Return runs created at or after this ISO timestamp.

created_before
string<date-time>

Return runs created before this ISO timestamp.

status
enum<string>[]

Filter by one or more run statuses. Repeat the parameter for OR matching.

Maximum array length: 200
Available options:
completed,
running,
failed,
cancelled,
paused
ticket_id
string[]

Filter by exact source ticket or conversation ID. Repeat the parameter for OR matching.

Maximum array length: 200
Maximum string length: 200
agent_id
string<uuid>[]

Filter by agent UUID. Repeat the parameter for OR matching.

Maximum array length: 200
source
string[]

Filter by exact run source. Repeat the parameter for OR matching.

Maximum array length: 200
Maximum string length: 120
resolution_type
enum<string>[]

Filter by one or more resolution types. Repeat the parameter for OR matching.

Maximum array length: 200
Available options:
deflected,
resolved,
escalated,
pending
duration[eq]
integer

Filter by exact run duration in seconds.

Required range: x >= 0
duration[gt]
integer

Filter for runs longer than this duration in seconds.

Required range: x >= 0
duration[gte]
integer

Filter for runs at least this many seconds long.

Required range: x >= 0
duration[lt]
integer

Filter for runs shorter than this duration in seconds.

Required range: x >= 0
duration[lte]
integer

Filter for runs no longer than this duration in seconds.

Required range: x >= 0
tool_name
string[]

Filter by exact recorded tool name from tool-call steps. Repeat the parameter for OR matching.

Maximum array length: 200
Maximum string length: 200

Search ticket title, ticket ID, and agent name.

Maximum string length: 300
metadata.<key>
string

Filter by metadata key/value. Replace <key> with a metadata key containing only letters, numbers, dots, underscores, dashes, or colons.

Maximum string length: 500

Response

Run summaries.

data
object[]
required
pagination
object
required